POST
cURL
Once a transaction is successful, OneKhusa will trigger a webhook event to notify the waiting system that the payment was successful.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer Token, Where accessToken is the access token used to authenticate the request.

Headers

Accept-Language
string
default:en

Preferred language for the response

Body

application/json
beneficiaryAccountNumber
string
required

The merchant account number that will receive the payment. Required string length: 10 - 15 characters

Required string length: 10 - 15
Example:

"1500000121"

connectorId
integer
required

The connector ID for the transaction. Must be exactly 6 digits

Required range: 100000 <= x <= 999999
Example:

104001

transactionAmount
number<decimal>
required

The amount of the payment. Must be greater than 0

Required range: 0 < x <= 50000000
Example:

1000

createdBy
string<email>
required

The email address of the user performing the operation. Required valid email format, max 60 characters

Maximum string length: 60
Example:

"merchant@example.com"

Response

Success Response (200)

beneficiary
object

The merchant (beneficiary) account receiving the payment

source
object

The simulated customer (source) account making the payment

transaction
object

The transaction details